#!/usr/bin/env bash

# This is a basic script used to create the .zip files you see in the 'archives' directory.
# We could just clone the entire source code - though lots of of it are completely unnecessary for packaging.
# This creates a slim .zip file only containing what we actually need.

# Script should be ran from inside the directory where you store Phoenix, not directly from the 'archives' or `build` folder...

rm archives/phoenix.zip archives/phoenix-flatpak.zip archives/phoenix-osx.zip

zip -R archives/phoenix.zip 'configs/*' 'configs/ui-fix/*' 'etc/*' 'etc/profile.d/*' 'phoenix.cfg' 'policies.json' 'prefs/phoenix-desktop.js' 'userjs/linux/*' 'userjs/linux/apple-maps/*' 'userjs/linux/discord/*' 'userjs/linux/element/*' 'userjs/linux/extended/*' 'userjs/linux/google-maps/*' 'userjs/linux/twitter/*' 'userjs/linux/ui-fix-base/*' 'userjs/linux/ui-fix/apple-maps/*' 'userjs/linux/ui-fix/discord/*' 'userjs/linux/ui-fix/element/*' 'userjs/linux/ui-fix/extended/*' 'userjs/linux/ui-fix/google-maps/*' 'userjs/linux/ui-fix/twitter/*' 'userjs/linux/ui-fix/youtube/*' 'userjs/linux/youtube/*' 'COPYING' 'README.md' -x 'android/*' 'build/*' 'configs/macos/*' 'prefs/phoenix-android.js' 'prefs/phoenix-extended-android.js' 'prefs/phoenix-extended-desktop.js' 'userjs/flatpak/*' 'userjs/macos/*' '.code-workspace' '.domains' '.DS_Store' '.git*' 'gitlab-ci.yml' '_redirects'

zip -R archives/phoenix-flatpak.zip 'configs/*' 'configs/ui-fix/*' 'phoenix.cfg' 'policies.json' 'prefs/phoenix-desktop.js' 'userjs/flatpak/*' 'userjs/flatpak/apple-maps/*' 'userjs/flatpak/discord/*' 'userjs/flatpak/element/*' 'userjs/flatpak/extended/*' 'userjs/flatpak/google-maps/*' 'userjs/flatpak/twitter/*' 'userjs/flatpak/ui-fix-base/*' 'userjs/flatpak/ui-fix/apple-maps/*' 'userjs/flatpak/ui-fix/discord/*' 'userjs/flatpak/ui-fix/element/*' 'userjs/flatpak/ui-fix/extended/*' 'userjs/flatpak/ui-fix/google-maps/*' 'userjs/flatpak/ui-fix/twitter/*' 'userjs/flatpak/ui-fix/youtube/*' 'userjs/flatpak/youtube/*' 'COPYING' 'README.md' -x 'android/*' 'build/*' 'configs/macos/*' 'etc/*' 'prefs/phoenix-android.js' 'prefs/phoenix-extended-android.js' 'prefs/phoenix-extended-desktop.js' 'userjs/linux/*' 'userjs/macos/*' '.code-workspace' '.domains' '.DS_Store' '.git*' 'gitlab-ci.yml' '_redirects'

zip -R archives/phoenix-osx.zip 'configs/macos/*' 'configs/macos/ui-fix/*' 'macos/org.mozilla.firefox.plist' 'macos/phoenix.cfg' 'userjs/*' 'userjs/macos/*' 'userjs/macos/apple-maps/*' 'userjs/macos/discord/*' 'userjs/macos/element/*' 'userjs/macos/extended/*' 'userjs/macos/google-maps/*' 'userjs/macos/twitter/*' 'userjs/macos/ui-fix-base/*' 'userjs/macos/ui-fix/apple-maps/*' 'userjs/macos/ui-fix/discord/*' 'userjs/macos/ui-fix/element/*' 'userjs/macos/ui-fix/extended/*' 'userjs/macos/ui-fix/google-maps/*' 'userjs/macos/ui-fix/twitter/*' 'userjs/macos/ui-fix/youtube/*' 'userjs/macos/youtube/*' 'COPYING' 'README.md' -x 'android/*' 'build/*' 'configs/ui-fix/*' 'etc/*' 'prefs/*' 'userjs/flatpak/*' 'userjs/linux/*' '.code-workspace' '.domains' '.DS_Store' '.git*' 'gitlab-ci.yml' '_redirects'
